<?php
/**
* @version		$Id: mod_fenrispopular.php $
* @package		Joomla
* @Copyright (C) 2009 Fenris.cz
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$fpcount = $params->get('fcount');
$fpdate = $params->get('fdate');
$db =& JFactory::getDBO();
$query = 'SELECT a.hits, a.id, a.sectionid, a.title, a.created, a.created_by, u.name'
. ' FROM #__content AS a'
. ' LEFT JOIN #__users AS u ON u.id=a.created_by'
. ' WHERE a.state <> -2'
. ' ORDER BY created DESC'
;
$db->setQuery( $query, 0, $fpcount );
$rows = $db->loadObjectList();
?>

<table class="adminlist">
<thead>
<tr>
	<td class="title">
		<strong><?php echo JText::_( 'Latest Items' ); ?></strong>
	</td>
	<td class="title">
		<strong><?php echo JText::_( 'Created' ); ?></strong>
	</td>
	<td class="title">
		<strong><?php echo JText::_( 'Creator' ); ?></strong>
	</td>
	<td class="title">
		<strong><?php echo JText::_( 'Hits' ); ?></strong>
	</td>
</tr>
</thead>
<tbody>
<?php
foreach ($rows as $row)
{
	$link = 'index.php?option=com_content&amp;task=edit&amp;id='. $row->id;
	$linkA 	= 'index.php?option=com_users&amp;task=edit&amp;cid[]='. $row->created_by;
	$author = '<a href="'. $linkA .'" title="'. JText::_( 'Edit User' ) .'">'. htmlspecialchars( $row->name, ENT_QUOTES, 'UTF-8' ) .'</a>';
	?>
	<tr>
		<td>
			<a href="<?php echo $link; ?>">
				<?php echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8');?></a>
		</td>
		<td>
			<?php echo JHTML::_('date', $row->created, $fpdate); ?>
		</td>
		<td>
			<?php echo $author;?>
		</td>
		<td>
			<?php echo $row->hits;?>
		</td>
	</tr>
	<?php
}
?>
</tbody>
</table>